@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap');

body {
    background-color: black;
    color: #ffffff;
    font-family: 'Poppins';
    margin: 0;
    height: 100%;
}

.btn {
    cursor: pointer;
    border: 1px solid #000000;
    background-color: transparent;
    color: #000000;
    font-size: 1.5em;
    box-shadow: 0 6px 6px rgba(0, 0, 0, 0.6);
    margin: auto;
    display: grid;
    margin-top: 50px;
}

.line-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: right;
    overflow: hidden;
}

svg {
    display: inline-block;
    height: 100%;
    margin-right: 1%;
}

/* The animation code */
@keyframes example {
    from {
        font-size: 1.5em;
    }

    to {
        font-size: 2.2em;
    }
}

input[type=text] {
    padding: 12px 20px;
    margin: auto;
    box-sizing: border-box;
    font-family: 'Poppins';
    font-weight: bold;
    border-width: 1px;
    background-color: #000000;
    color: white;
}

.main-section {
    display: grid;
    place-content: center;
    align-content: center;
    font-size: 5vh;
    min-height: 80vh;
    animation-name: example;
    animation-duration: 0.8s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}


.body-section {
    display: grid;
    place-content: center;
    align-content: center;
    font-size: 3vh;
    min-height: 150vh;
    padding: 2%;
}

.hidden {
    opacity: 0;
    transition: all 2s;
    filter: blur(5px);
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
}

#ticker,
.rotator {
    display: inline-block;
    background-color: #000000;
}

.rotator {
    width: 100px;
    height: 160px;
    font-size: 50px;
    line-height: 80px;

    background-position: 0 0, 50% 50%, 100% 150%;
    background-size: 300% 50%;
    background-repeat: no-repeat;
    margin: 50px 0 20px;
    overflow: hidden;
    opacity: 0;
}

.quota {
    height: 50%;
    cursor: default;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}

#result {
    height: 35px;
    font-size: 20px;
    color: white;
    line-height: 35px;
    letter-spacing: 3px;
    -webkit-box-shadow: 0 0 3px black;
    box-shadow: 0 0 3px black;
}